Bug 8314 - Missing MARCISBNS param in opac-detail.pl
Summary: Missing MARCISBNS param in opac-detail.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 03:02 UTC by David Cook
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8314: Add MARCISBNs parameter to opac-detail.pl to show multiple isbns in OPAC (1.09 KB, patch)
2012-06-29 06:58 UTC, David Cook
Details | Diff | Splinter Review
Bug 8314 Add MARCISBNs parameter to opac-detail.pl to show multiple isbns in OPAC (1.08 KB, patch)
2012-06-29 07:52 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8314 Add MARCISBNs parameter to opac-detail.pl to show multiple isbns in OPAC (1.11 KB, patch)
2012-07-05 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-06-26 03:02:25 UTC
The function is executed in opac-detail.pl from Biblio.pm, but the param never gets passed to opac-detail.tt, which asks for MARCISBNS before normalized_isbn.

The lack of this parameter means that only the 1st ISBN is ever shown. The other ISBNs are suppressed. 

Just need to add "MARCISBNS => $marcisbnsarray," to opac-detail.pl around line 588.

I would do this, but I'm embroiled in trying to get our first fully functional local version of 3.8 up and running.
Comment 1 David Cook 2012-06-29 06:58:48 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-06-29 07:52:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-07-05 14:07:21 UTC
Created attachment 10645 [details] [review]
Bug 8314 Add MARCISBNs parameter to opac-detail.pl to show multiple isbns in OPAC

replace \t with 4 spaces
Comment 4 Jonathan Druart 2012-07-05 14:08:49 UTC
MARCISBNs was never passed to the template. This patch fixes this issues.

Marking as Passed QA
Comment 5 Paul Poulain 2012-07-06 09:58:43 UTC
Patch pushed (untested, I don't think I have a biblio with more than 1 isbn in my database)
Comment 6 Chris Cormack 2012-07-07 00:00:57 UTC
Pushed to 3.8.x will be in 3.8.3